
***************************
* File: entete_personnel_sante.do 
* Questionnaire type: Health Facility
* Country: Madagascar
*****************************

version 10.1
cd "Source\Madagascar 2006 P H\"
capture clear
capture log close
clear
set mem 700m
set more off

use "Source\4- Data\4.1 Raw Data\First Round\personnel_csb\entete_visite2e.dta"



**************************************************
***   Ensure all variables are present and labeled.
**************************************************
cd "Source\First Round\personnel_csb"
log using "entete_personnel_sante", replace
codebook, compact
log close

**************************************************
***   Ensure response value labels are correct.
**************************************************
label save using "entete_personnel_sante label values", replace

**************************************************
***    Identify skip patterns
**************************************************
* Recode missing values to Stata missing values, for tests and data inspection.
quietly mvdecode _all,mv (-666 = .d \ -777 = .n \ -888 = .l \ -999 = .r) 


**************************************************
*** FINAL   : Delivrables
**************************************************

*Codebook
cd "Source\4- Data\4.3. Clean Data\4.3.3. Data Code Book\First Round\personnel_csb"
log using "entete_personnel_sante codebook", replace
codebook, compact
log close

*Save cleaned data
cd "Source\4- Data\4.3. Clean Data\4.3.1. Final Data\First Round\personnel_csb"
save entete_personnel_sante_cleaned_data.dta, replace
